package com.ruoyi.mall.mapper;

import java.util.List;
import java.util.Map;

import com.ruoyi.mall.domain.MallExamData;

/**
 * 报考数据Mapper接口
 *
 * @author LCL
 * @date 2023-10-24
 */
public interface MallExamDataMapper
{
    /**
     * 查询报考数据
     *
     * @param examDataId 报考数据主键
     * @return 报考数据
     */
    public MallExamData selectMallExamDataByExamDataId(Long examDataId);

    /**
     * 查询报考数据列表
     *
     * @param mallExamData 报考数据
     * @return 报考数据集合
     */
    public List<MallExamData> selectMallExamDataList(MallExamData mallExamData);

    /**
     * 新增报考数据
     *
     * @param mallExamData 报考数据
     * @return 结果
     */
    public int insertMallExamData(MallExamData mallExamData);

    /**
     * 修改报考数据
     *
     * @param mallExamData 报考数据
     * @return 结果
     */
    public int updateMallExamData(MallExamData mallExamData);

    /**
     * 删除报考数据
     *
     * @param examDataId 报考数据主键
     * @return 结果
     */
    public int deleteMallExamDataByExamDataId(Long examDataId);

    /**
     * 批量删除报考数据
     *
     * @param examDataIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteMallExamDataByExamDataIds(Long[] examDataIds);

    /**
     * 查询报考数据-报考人数列表
     *
     * @return 报考数据集合
     */
    public List<Map<String, Object>> selectNumberOfApplicantsList();

    /**
     * 查询报考数据-招生计划人数
     *
     * @param years 年份
     * @return 数据
     */
    public List<Map<String, Object>> selectEnrollmentNumber(String years);

    /**
     * 查询报考数据-数据控线
     *
     * @return 报考数据集合
     */
    public List<Map<String, Object>> selectDataControlCableList();

    /**
     * 查询AB段分数线
     * @return
     */
    public List<MallExamData> selectLineList();
}
